﻿using Hotline.CallCenter.BlackLists;
using Hotline.Share.Dtos;
using Mapster;

namespace Hotline.Application.Contracts.Mappers
{
    public class MapperConfigs : IRegister
    {
        public void Register(TypeAdapterConfig config)
        {
            config.NewConfig<AddBlacklistDto, Blacklist>()
                .Ignore(d => d.Expired)
                .AfterMapping((s, t) => t.InitExpired());
        }
    }
}
